# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Std.pm) perl(Class/Std/Utils.pm) perl(ExtUtils/MakeMaker.pm) perl(Locale/Maketext/Pseudo.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(version.pm)
# END SourceDeps(oneline)
%define module_version 0.0.5
%define module_name Getopt-Param
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.5
Release: alt1
Summary: param() style opt handling
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DM/DMUEY/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Parses an array and gives it a CGI-like param interface to the data. You can then have apps that have a cgi interface and a cli interface that just call param() to get its stuff.

Examples:

  Opt: --force=1 URI Equiv: force=1
  Opt: --force=  URI Equiv: force=
  Opt: --force   URI Equiv: force=--force
  Opt: --force=hello         URI Equiv: force=hello
  Opt: --force="hello world" URI Equiv: force=hello+world
  Opt: --force=a --force=b   URI Equiv: force=a&force=b


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/G*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.5-alt1
- initial import by package builder

